import nexaAccess from "@/views/AccessMiningPool/nexaAccess"

export const seo_zh = {
    seo: {
        Home: "M2Pool 矿池，2024 全新升级！为您带来更稳定的网络服务，高效提升单位收益。透明的分配机制，可靠的技术服务，让您挖矿无忧。支持 nexa、grs、mona、dgb、rxd 等众多热门币种挖矿，开启财富增长新通道。",
        miningAccount: "M2Pool 矿池的挖矿账户页面，为用户提供详尽的账户信息展示。在这里，您可以直观地查看该账户的收益情况，通过算力走势图清晰了解算力变化趋势，掌握矿工情况，同时还能深入查看收益及支付的详细信息，助力您更好地管理挖矿业务。",
        readOnlyDisplay: "M2Pool 矿池只读页面展示页，通过分享的链接地址及特定权限，清晰呈现矿池的收益状况、支付详情以及矿工信息等关键数据，让您随时了解矿池动态，把握挖矿收益走向。",
        reportBlock: "M2Pool 矿池报块页面，精准展示各个币种的幸运值、区块高度、出块时间、区块哈希值以及区块奖励等重要信息，为您提供全面的矿池运行数据，助力您做出更明智的挖矿决策。",
        rate: "M2Pool 矿池费率页面，清晰呈现各个币种的挖矿费率、收益计算模式以及起付额等关键信息，帮助您准确评估挖矿成本与收益，做出更合理的挖矿策略选择。",
        apiFile: "M2Pool 矿池 API 文档页面，为用户详细介绍如何通过 M2Pool 提供的 API 接口获取矿池及帐户算力。内容涵盖 API 的认证 token 生成、接口调用方法以及返回数据结构说明，助力开发者高效利用矿池数据资源。",
        AccessMiningPool: "M2Pool 矿池接入矿池页面，详细阐述每个币种接入矿池的具体步骤，为用户提供便捷的接入指南，轻松开启挖矿之旅。",
        ServiceTerms: "M2Pool 矿池服务条款页面，明确阐述关于使用 M2Pool 矿池网站的相关服务条款，确保用户在使用过程中清楚了解权利与义务，保障用户权益。",
        submitWorkOrder: "M2Pool 矿池提交工单页面，当您在使用矿池网站过程中遇到任何问题时，可在此提交工单。我们将尽快处理并回复，为您提供高效的技术支持服务。",
        workOrderRecords: "M2Pool 矿池工单记录页面，方便用户查看在 M2Pool 矿池网站提交的所有工单记录以及工单目前的处理状态，随时掌握问题解决进度。",
        userWorkDetails: "M2Pool 矿池用户工单详情页面，用户可在此查看提交工单的详细情况，包括提交时间、详细问题描述以及处理过程。同时，也可以通过该页面继续对该工单进行补充提交。",
        alerts: "M2Pool 矿池矿机离线告警，根据不同账户用户自定义设置告警邮箱及备注信息，方便用户及时掌握矿机情况，提升用户体验。",
        personalCenter: "M2Pool 矿池个人中心，为用户提供全面的个性化管理功能。在这里，您可以便捷地设置挖矿账户、管理钱包地址、调整只读页面权限、强化安全设置，还能订阅挖矿报告，以及生成个人 API 密钥，满足您对矿池管理的多样化需求。",
        personalMining: "M2Pool 矿池个人中心挖矿账户设置页面，用户可在此设置各个币种的挖矿账户，方便地进行账户的添加、删除操作，以及绑定和修改钱包地址。",
        readOnly: "在 M2Pool 矿池的只读页面设置中，轻松添加只读权限，根据自选权限分享矿池信息。无论是管理员还是注册用户，都能便捷查看，随时掌握矿池动态。",
        securitySetting: "M2Pool 矿池个人中心安全设置页面，用户可在此修改密码并开启双重验证，为账户安全增添多一层保障。",
        personalAPI: "M2Pool 矿池个人中心 API 页面，用户可以选择默认本地 IP 或输入特定 IP 地址，自主选择权限并生成对应的 API KEY，方便进行个性化的数据管理。",
        miningReport: "M2Pool 矿池个人中心挖矿报告页面，用户可开启周报、月报订阅服务，固定时间将上周或上月的挖矿数据发送至用户注册邮箱，随时掌握挖矿成果。",
        personal: "显示用户信息、登录历史相关信息：时间、位置、ip、设备等",
        nexaAccess: "M2Pool 矿池 nexa 接入页面，详细介绍如何接入 M2Pool 矿池进行 nexa 币种挖矿，提供用户便捷的接入指南，轻松开启挖矿之旅。",
        grsAccess: "M2Pool 矿池 grs 接入页面，详细介绍如何接入 M2Pool 矿池进行 grs 币种挖矿，提供用户便捷的接入指南，轻松开启挖矿之旅。",
        monaAccess: "M2Pool 矿池 mona 接入页面，详细介绍如何接入 M2Pool 矿池进行 mona 币种挖矿，提供用户便捷的接入指南，轻松开启挖矿之旅。",
        dgbAccess: "M2Pool 矿池 dgb 接入页面，详细介绍如何接入 M2Pool 矿池进行 dgb 币种挖矿，提供用户便捷的接入指南，轻松开启挖矿之旅。",
        rxdAccess: "M2Pool 矿池 rxd 接入页面，详细介绍如何接入 M2Pool 矿池进行 radiant 币种挖矿，提供用户便捷的接入指南，轻松开启挖矿之旅。",
        allocationExplanation: "M2Pool 矿池分配及转账说明页面，详细介绍各币种的成熟条件、出块间隔及预估时间,何时将挖矿收益分配及转账至用户账户，提供用户清晰的了解分配及转账指南。",
        enxAccess: "Entropyx(enx) 接入页面，详细介绍如何接入 M2Pool 矿池进行 enx 币种挖矿，提供用户便捷的接入指南，轻松开启挖矿之旅。",
        alphAccess: "Alephium(alph) 接入页面，详细介绍如何接入 M2Pool 矿池进行 Alephium(alph) 币种挖矿，提供用户便捷的接入指南，轻松开启挖矿之旅。",
   
    }
}
export const seo_en = {
    seo: {
        "Home": "M2Pool mining pool, upgraded in 2024! Bringing you more stable network services and efficiently increasing unit revenue. Transparent allocation mechanism and reliable technical services ensure worry free mining for you. Support mining of many popular currencies such as nexa, grs, mona, dgb, rxd, etc., opening up new channels for wealth growth.",
        miningAccount:"The mining account page of M2Pool provides users with detailed account information display. Here, you can intuitively view the income situation of the account, clearly understand the trend of computing power changes through the computing power trend chart, grasp the situation of miners, and also deeply view detailed information on income and payments, helping you better manage mining business",
          readOnlyDisplay:"The M2Pool read-only page display page presents key data such as the mining pool's revenue status, payment details, and miner information clearly through shared link addresses and specific permissions, allowing you to stay informed of the mining pool's dynamics and grasp the direction of mining revenue at any time.",
          "reportBlock": "The M2Pool mining pool block report page accurately displays important information such as lucky value, block height, block time, block hash value, and block rewards for each currency, providing you with comprehensive mining pool operation data to help you make more informed mining decisions.",
        "rate": "The M2Pool mining rate page clearly presents key information such as mining rates, profit calculation models, and deductibles for various currencies, helping you accurately evaluate mining costs and profits and make more reasonable mining strategy choices.",
        "apiFile": "The M2Pool API documentation page provides users with detailed instructions on how to obtain mining pools and account computing power through the API interface provided by M2Pool. The content covers API authentication token generation, interface calling methods, and return data structure explanations, helping developers efficiently utilize mining pool data resources.",
        "AccessMiningPool": "The M2Pool mining pool access page provides a detailed explanation of the specific steps for each currency to access the mining pool, offering users a convenient access guide to easily start their mining journey.",
        "ServiceTerms": "The M2Pool mining pool service terms page clearly explains the relevant service terms regarding the use of the M2Pool mining pool website, ensuring that users have a clear understanding of their rights and obligations during use and protecting their rights and interests.",
        "submitWorkOrder": "M2Pool submission ticket page, where you can submit a ticket if you encounter any problems while using the mining pool website. We will handle and reply as soon as possible to provide you with efficient technical support services.",
        "workOrderRecords": "The M2Pool mining pool work order record page facilitates users to view all work order records submitted on the M2Pool mining pool website, as well as the current processing status of work orders, and to keep track of the progress of problem resolution at any time.", "userWorkDetails": "M2Pool user work order details page, where users can view the detailed information of submitted work orders, including submission time, detailed problem description, and processing procedures. At the same time, you can also continue to supplement and submit the work order through this page.", "alerts": "M2Pool mining machine offline alarm, customized alarm email and note information according to different account users, convenient for users to timely grasp the mining machine situation and improve user experience.", "personalCenter": "M2Pool personal center provides users with comprehensive personalized management functions. Here, you can easily set up mining accounts, manage wallet addresses, adjust read-only page permissions, strengthen security settings, subscribe to mining reports, and generate personal API keys to meet your diverse needs for mining pool management.", "personalMining": "The M2Pool personal center mining account settings page allows users to set up mining accounts for various currencies, conveniently adding and deleting accounts, as well as binding and modifying wallet addresses.", "readOnly": "In the read-only page settings of M2Pool mining pool, easily add read-only permissions and share mining pool information according to the selected permissions. Both administrators and registered users can easily view and keep track of the mining pool dynamics at any time.", "securitySetting": "The M2Pool personal center security settings page allows users to change their password and enable two factor authentication, adding an extra layer of security to their account.", "personalAPI": "The M2Pool personal center API page allows users to choose the default local IP or enter a specific IP address, autonomously select permissions, and generate corresponding API keys for personalized data management.", "miningReport": "The M2Pool personal center mining report page allows users to subscribe to weekly and monthly reports, and send mining data from the previous week or month to the user's registered email at fixed times to keep track of mining results at any time.",
        personal: "Display user information, login history related information: time, location, ip, device, etc.",
        nexaAccess: "The M2Pool nexa access page provides detailed instructions on how to access the M2Pool mining pool for nexa currency mining, offering users a convenient access guide to easily start their mining journey.",
        grsAccess: "The M2Pool GRS access page provides detailed instructions on how to access the M2Pool mining pool for GRS currency mining, offering users a convenient access guide to easily start their mining journey.",
        monaAccess: "The M2Pool mona access page provides detailed instructions on how to access the M2Pool for mona currency mining, offering users a convenient access guide to easily start their mining journey.",
        dgbAccess: "The M2Pool dgb access page provides detailed instructions on how to access the M2Pool for dgb currency mining, offering users a convenient access guide to easily start their mining journey.",
        rxdAccess: "The M2Pool rxd access page provides detailed instructions on how to access the M2Pool for radial currency mining, offering users a convenient access guide to easily start their mining journey.",
        allocationExplanation: "The M2Pool mining pool allocation and transfer instructions page provides detailed information on the maturity conditions, block interval, and estimated time of each currency, as well as when to allocate and transfer mining profits to user accounts, providing users with a clear understanding of allocation and transfer guidelines.",
        enxAccess: "Entropyx (enx) access page provides detailed instructions on how to access the M2Pool mining pool for enx currency mining, offering users a convenient access guide to easily start their mining journey.",
        alphAccess: "The M2Pool Alephium(alph) access page provides detailed instructions on how to access the M2Pool mining pool for Alephium(alph) currency mining, offering users a convenient access guide to easily start their mining journey.",
    }
}